Bug 22236 - CD-ROM not accessible from VMware Windows NT guest
CD-ROM not accessible from VMware Windows NT guest
Product: Red Hat Linux
Classification: Retired
Component: kernel (Show other bugs)
i386 Linux
high Severity high
: ---
: ---
Assigned To: Michael K. Johnson
Brock Organ
Depends On:
  Show dependency treegraph
Reported: 2000-12-13 11:26 EST by ken_laird
Modified: 2005-10-31 17:00 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2003-06-05 18:43:47 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description ken_laird 2000-12-13 11:26:43 EST
I realize that RedHat is not responsible for VMware; however, the
successful operation of VMware with RedHat Linux is critical to our plans
to deploy
Linux workstations here at the Spokane site of Agilent Technologies.  And,
something that changed between release 6.2 and 7.0 has rendered the CD-ROM
drive essentially inaccessible from a VMware guest machine.  I have filed
an incident with VMware as well, of course.  I think it would behoove
RedHat to 
look into this as well.

	If I "disconnect" the CD-ROM in the VMware window, I can successfully
mount, unmount, and access it from Linux.   The VMware windows NT
guest, on the other hand reports the following errors in its log:
Dec 05 15:19:06: DISK/CDROM timeout of 2.790 seconds (ok)
Dec 05 15:19:06: ATAPI_CDROM: read for /dev/cdrom failed: Invalid argument

	I did make sure that the CD was unmounted in the Linux host OS and that
autorun was not going.
Comment 1 Arjan van de Ven 2001-01-04 10:53:39 EST
This is a duplicate of bug 21577
VMWare seems require either a kernel <= 2.2.15 or >= 2.2.17 for the CDROM
to work.
Comment 2 Alan Cox 2003-06-05 18:44:13 EDT
Both vmware and the kernel have moved far on since this issue

Note You need to log in before you can comment on or make changes to this bug.